=== debian/control ===
Source: ros-indigo-ndt-map
Section: misc
Priority: extra
Maintainer: Jari Saarinen <jari.p.saarinen@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libpcl-1.7-all-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-cv-bridge, ros-indigo-message-generation, ros-indigo-nav-msgs, ros-indigo-pcl-conversions, ros-indigo-pcl-ros, ros-indigo-roscpp
Homepage: http://ros.org/wiki/ndt_map
Standards-Version: 3.9.2

Package: ros-indigo-ndt-map
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcl-1.7-all, ros-indigo-cv-bridge, ros-indigo-message-runtime, ros-indigo-nav-msgs, ros-indigo-pcl-conversions, ros-indigo-pcl-ros, ros-indigo-roscpp
Description: Contains the definitions of the 3D Normal Distributions Transform data structures, used for mapping, registration, etc.
